﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridDemo
{
    public class ViewModel: NotificationObject
    {
        ObservableCollection<Model> orderCollection;
        public ObservableCollection<Model> OrderInfoCollection
        {
            get { return orderCollection; }
            set { orderCollection = value; }
        }      

        public ViewModel()
        {
            orderCollection = new ObservableCollection<Model>();            
            OrderInfoCollection = GenerateOrders();                        
        }

        public ObservableCollection<Model> GenerateOrders()
        {
            ObservableCollection<Model> orders = new ObservableCollection<Model>();
            orders.Add(new Model() { OrderID = 1001, CustomerName = "Maria Anders", Country = "Germany", CustomerID = "ALFKI", ShipCity = "Brandenburg", OrderDate = new DateTime(2015, 12, 25),IsClosed=true});
            orders.Add(new Model() { OrderID = 1002, CustomerName = "Ana Trujilo", Country = "Mexico", CustomerID = "ANATR", ShipCity = "México D.F.", OrderDate = new DateTime(2015, 8, 2),IsClosed=false });
            orders.Add(new Model() { OrderID = 1003, CustomerName = "Antonio Moreno", Country = "Mexico", CustomerID = "ANTON", ShipCity = "Guadalajara", OrderDate = new DateTime(2015,5,24),IsClosed=true });
            orders.Add(new Model() { OrderID = 1004, CustomerName = "Thomas Hardy", Country = "Argentina", CustomerID = "AROUT", ShipCity = "Mendoza" , OrderDate = new DateTime(2015, 12, 20),IsClosed=true});
            orders.Add(new Model() { OrderID = 1005, CustomerName = "Christina Berglund", Country = "Brazil", CustomerID = "BERGS", ShipCity = "Campinas",OrderDate = new DateTime(2015, 1, 10),IsClosed=false});
            orders.Add(new Model() { OrderID = 1006, CustomerName = "Hanna Moos", Country = "Germany", CustomerID = "BLAUS", ShipCity = "Aachen",OrderDate = new DateTime(2015, 12, 25),IsClosed=true});
            orders.Add(new Model() { OrderID = 1007, CustomerName = "Frédérique Citeaux", Country = "Ireland", CustomerID = "BLONP", ShipCity = "Strasbourg",OrderDate = new DateTime(2014,2,23),IsClosed=false});
            orders.Add(new Model() { OrderID = 1008, CustomerName = "Martin Sommer", Country = "Italy", CustomerID = "BOLID", ShipCity = "Torino", OrderDate = new DateTime(2015, 12, 25),IsClosed=true });
            orders.Add(new Model() { OrderID = 1009, CustomerName = "Laurence Lebihan", Country = "Belgium", CustomerID = "BONAP", ShipCity = "Charleroi", OrderDate = new DateTime(2015, 10, 25) ,IsClosed=true});
            orders.Add(new Model() { OrderID = 1010, CustomerName = "Elizabeth Lincoln", Country = "Canada", CustomerID = "BOTTM", ShipCity = "Vancouver" ,OrderDate = new DateTime(2015, 11, 2),IsClosed=true});
            orders.Add(new Model() { OrderID = 1011, CustomerName = "Hanna Moos", Country = "Germany", CustomerID = "BLAUS", ShipCity = "Aachen", OrderDate = new DateTime(2015, 12, 25),IsClosed=true});
            orders.Add(new Model() { OrderID = 1012, CustomerName = "Maria Anders", Country = "Germany", CustomerID = "ALFKI", ShipCity = "Brandenburg", OrderDate = new DateTime(2015, 10, 27),IsClosed=false });
            orders.Add(new Model() { OrderID = 1013, CustomerName = "Antonio Moreno", Country = "Mexico", CustomerID = "ANTON", ShipCity = "Guadalajara", OrderDate = new DateTime(2010, 10, 2),IsClosed=true });
            orders.Add(new Model() { OrderID = 1014, CustomerName = "Martin Sommer", Country = "Italy", CustomerID = "BOLID", ShipCity = "Torino", OrderDate = new DateTime(2015, 12, 20),IsClosed=false });
            orders.Add(new Model() { OrderID = 1015, CustomerName = "Maria Anders", Country = "Germany", CustomerID = "ALFKI", ShipCity = "Brandenburg", OrderDate = new DateTime(2015, 12, 2),IsClosed=true});
            orders.Add(new Model() { OrderID = 1016, CustomerName = "Ana Trujilo", Country = "Mexico", CustomerID = "ANATR", ShipCity = "México D.F.", OrderDate = new DateTime(2015, 1, 25),IsClosed=false});
            orders.Add(new Model() { OrderID = 1017, CustomerName = "Hanna Moos", Country = "Germany", CustomerID = "BLAUS", ShipCity = "Aachen", OrderDate = new DateTime(2015, 10, 2),IsClosed=true});
            orders.Add(new Model() { OrderID = 1018, CustomerName = "Maria Anders", Country = "Germany", CustomerID = "ALFKI", ShipCity = "Brandenburg", OrderDate = new DateTime(2013, 12, 20),IsClosed=true});
            orders.Add(new Model() { OrderID = 1019, CustomerName = "Martin Sommer", Country = "Italy", CustomerID = "BOLID", ShipCity = "Torino", OrderDate = new DateTime(2012, 12, 25),IsClosed=true});
            orders.Add(new Model() { OrderID = 1020, CustomerName = "Frédérique Citeaux", Country = "Ireland", CustomerID = "BLONP", ShipCity = "Strasbourg", OrderDate = new DateTime(2015, 12, 25),IsClosed=false});
            orders.Add(new Model() { OrderID = 1021, CustomerName = "Christina Berglund", Country = "Brazil", CustomerID = "BERGS", ShipCity = "Campinas",OrderDate = new DateTime(2015, 12, 12),IsClosed=true});
            orders.Add(new Model() { OrderID = 1022, CustomerName = "Hanna Moos", Country = "Germany", CustomerID = "BLAUS", ShipCity = "Aachen", OrderDate = new DateTime(2015, 1, 2),IsClosed=false});
            orders.Add(new Model() { OrderID = 1023, CustomerName = "Frédérique Citeaux", Country = "Ireland", CustomerID = "BLONP", ShipCity = "Strasbourg", OrderDate = new DateTime(2015, 12, 2),IsClosed=false});
            orders.Add(new Model() { OrderID = 1024, CustomerName = "Martin Sommer", Country = "Italy", CustomerID = "BOLID", ShipCity = "Torino", OrderDate = new DateTime(2015, 1, 22),IsClosed=false});
            orders.Add(new Model() { OrderID = 1025, CustomerName = "Laurence Lebihan", Country = "Belgium", CustomerID = "BONAP", ShipCity = "Charleroi",OrderDate = new DateTime(2015, 12, 20),IsClosed=true});
            orders.Add(new Model() { OrderID = 1026, CustomerName = "Elizabeth Lincoln", Country = "Canada", CustomerID = "BOTTM", ShipCity = "Vancouver", OrderDate = new DateTime(2015, 5, 26),IsClosed=true});
            orders.Add(new Model() { OrderID = 1027, CustomerName = "Hanna Moos", Country = "Germany", CustomerID = "BLAUS", ShipCity = "Aachen", OrderDate = new DateTime(2010, 12, 20),IsClosed=true});
            orders.Add(new Model() { OrderID = 1028, CustomerName = "Maria Anders", Country = "Germany", CustomerID = "ALFKI", ShipCity = "Brandenburg", OrderDate = new DateTime(2015, 12, 20),IsClosed=false});
            orders.Add(new Model() { OrderID = 1029, CustomerName = "Antonio Moreno", Country = "Mexico", CustomerID = "ANTON", ShipCity = "Guadalajara", OrderDate = new DateTime(2015, 10, 25),IsClosed=true});
            orders.Add(new Model() { OrderID = 1030, CustomerName = "Martin Sommer", Country = "Italy", CustomerID = "BOLID", ShipCity = "Torino", OrderDate = new DateTime(2015, 12, 15),IsClosed=true});
            return orders;        
        }
    }
}
